# PDP 11: SAV File

Assembler code

```
seg001:002556
seg001:002556 ; =============== S U B R O U T I N E =======================================
seg001:002556
seg001:002556
seg001:002556                 .globl start
seg001:002556 start:                                  ; DATA XREF: asect:000040↑o
seg001:002556
seg001:002556 ; FUNCTION CHUNK AT seg001:001016 SIZE 00000158 BYTES
seg001:002556 ; FUNCTION CHUNK AT seg001:002742 SIZE 00000014 BYTES
seg001:002556
seg001:002556                 inc     word_1012
seg001:002562                 mov     word_1012, word_2554
seg001:002570                 call    sub_2640
seg001:002574                 mov     #700, R0
seg001:002600                 emt     351             ; .PRINT - Print String to Terminal
seg001:002602                 mov     #715, R0
seg001:002606                 emt     351             ; .PRINT - Print String to Terminal
seg001:002610                 jmp     loc_1016
seg001:002614 ; ---------------------------------------------------------------------------
seg001:002614
seg001:002614 loc_2614:                               ; CODE XREF: start:loc_1542↑J
seg001:002614                 mov     word_1014, word_2554
seg001:002622                 call    sub_2640
seg001:002626                 mov     #702, R0
seg001:002632                 emt     351             ; .PRINT - Print String to Terminal
seg001:002634                 clr     R0
seg001:002636                 emt     350             ; .EXIT - Terminate Program
seg001:002636 ; End of function start
seg001:002636
seg001:002640
seg001:002640 ; =============== S U B R O U T I N E =======================================
seg001:002640
seg001:002640
seg001:002640 sub_2640:                               ; CODE XREF: start+12↑P
seg001:002640                                         ; start+44↑P
seg001:002640                 mov     #57, R1 ; '/'

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/ida-9.2/user-guide/disassembler/disassembly-gallery/pdp-11-sav-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
